# mouse.rb

Path: | curses/mouse.rb
Last Update: | Mon Aug 13 09:42:44 AUS Eastern Standard Time 2001

### Required files

curses

### Methods

show_message

### Included Modules

Curses

### Public Instance methods

show_message(*msgs)

[Source]

    # File curses/mouse.rb, line 6
    def show_message(*msgs)
      message = msgs.join
      width = message.length + 6
      win = Window.new(5, width,
                       (lines - 5) / 2, (cols - width) / 2)
      win.keypad = true
      win.attron(color_pair(COLOR_RED)){
        win.box(?|, ?-, ?+)
      }
      win.setpos(2, 3)
      win.addstr(message)
      win.refresh
      win.getch
      win.close
    end

[Validate]